> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses workflows



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{businessId}/workflows
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/workflows:
    get:
      tags:
        - WorkflowManagement
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: EntityType
          in: query
          schema:
            maxLength: 100
            minLength: 0
            type: string
        - name: Enabled
          in: query
          schema:
            type: boolean
        - name: Search
          in: query
          schema:
            maxLength: 200
            minLength: 0
            type: string
        - name: Tags
          in: query
          schema:
            maxLength: 500
            minLength: 0
            type: string
        - name: Page
          in: query
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
        - name: PageSize
          in: query
          schema:
            maximum: 100
            minimum: 1
            type: integer
            format: int32
        - name: SortBy
          in: query
          schema:
            maxLength: 50
            minLength: 0
            type: string
        - name: SortDescending
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: OK
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}

````